@charset "utf-8";
/* 基本設定 */
body.control-panel {
  font-family: "游ゴシック", "Yu Gothic", "游ゴシック体", YuGothic, "ヒラギノ角ゴ Pro W3", "メイリオ", sans-serif;
  background: #D6D6D6;
  width:100vw;
  height:100vh;
  min-width:1366px;
  min-height:768px;
}

a,
a:link,
a:visited,
a:hover,
a:active {
  text-decoration:none !important;
}

.bold {
  font-weight: bold;
}

/* ヘッダー */
header {
  height: 60px;
  padding: 5px 20px;
}

.logo-qbik img {
  height: 40px;
  width: auto;
}

.system-title h1 {
  font-size: 2em;
  margin-top: 10px;
  font-weight: bold;
}

.login-logout {
  line-height: 60px;
}

.screen-open {
  float: right;
  font-size: 1.5rem
}

.main-content {
  height: calc(100vh - 140px);
}

/* 現在の問題 */
.on-air-question {
  height: 300px;
  margin: 1em 1em 0.5em 1em;
}

.on-air-header {
  font-size: 0;
}
.on-air-text {
  display: inline-block;
  width: 150px;
  height: 2.1rem;
}

.on-air-title {
  padding: 10px;
  font-size: 1.2em;
}

.on-air-answer {
  margin: 0.5em 1em 0.5em 1em;
}

.on-air-content-text {
  padding: 10px;
}
.on-air-content-image {
  height: 140px;
  text-align: center;
}
.on-air-content-image img {
  width:auto;
  height:auto;
  max-width:100%;
  max-height:100%;
}

.on-air-answer-change {
  height: 100px;
  margin: 1em 1em 1em 1em;
  padding: 0 10px;
}

/* 答え */
.answer-content {
  border: 1px solid #D6D6D6;
}

.answer-text {
  display: inline-block;
}

.answer-image {
  display: inline-block;
  float: right;
}

.answer-image img{
  height: 50px;
}

.answer-content .answer-list {
  position: relative;
  right: 0;
  bottom: 0;
  left: 0.3em;
  width: 30px;
  height: 30px;
  margin-right: 0.5rem;
  cursor: pointer;
  transition: all 0.15s ease-out 0s;
  color: #da3c41;
  border: none;
  outline: none;
  background: #e0e0e0;
  -webkit-appearance: none;
  appearance: none;
}
.answer-content .answer-list:hover {
  background: #d6a9a9;
}
.answer-content .answer-list:checked {
  background: #e0e0e0;
}
.answer-content .answer-list:checked::before {
  line-height: 30px;
  position: absolute;
  display: inline-block;
  width: 30px;
  height: 30px;
  font-family : 'Font Awesome 5 Free';
  content: '\f111';
  font-size: 24px;
  font-weight : 900;
  text-align: center;
}
.answer-content .answer-list:checked::after {
  position: relative;
  display: block;
  content: '';
  -webkit-animation: click-wave 0.65s;
  animation: click-wave 0.65s;
  background: #da3c41;
}
.answer-content .answer-list.radio {
    border-radius: 50%;
    vertical-align: -0.5em;
}
.answer-content .answer-list.radio::after {
  border-radius: 50%;
}
.answer-content label{
  display: block;
  line-height: 50px;
  margin: 0;
}
.answer-content .answer-list:disabled {
  cursor: not-allowed;
  background: #e0e0e0;
}
.answer-content .answer-list:disabled::before {
  font-size: 20px;
  line-height: 30px;
  position: absolute;
  display: inline-block;
  width: 30px;
  height: 30px;
  font-family : 'Font Awesome 5 Free';
  content: '\f00d';
  font-weight : 900;
  text-align: center;
}
.answer-content .disabled {
  color: #9e9e9e;
}

.answer-label {
  font-size: 1.2em;
  color: #333;
}

/* プルダウンメニュー */
.cp_ipselect {
  overflow: hidden;
  width: 70%;
  text-align: center;
}
.cp_ipselect select {
  width: 100%;
  cursor: pointer;
  text-indent: 10px;
  text-overflow: ellipsis;
  border: none;
  outline: none;
  background: transparent;
  background-image: none;
  box-shadow: none;
  -webkit-appearance: none;
  appearance: none;
}
.cp_ipselect select::-ms-expand {
  display: none;
}
.cp_ipselect.cp_sl05 {
  position: relative;
  border-radius: 50px;
  display: inline-block;
  vertical-align: middle;
  bottom: 0.1em;
  background-image: -webkit-linear-gradient(#fff 0%, #e8e8e8 100%);
  background-image: linear-gradient(#fff 0%, #e8e8e8 100%);
  box-shadow: inset 0 2px 0 rgba(255,255,255,0.2), 0 2px 2px rgba(0, 0, 0, 0.19);
}
.cp_ipselect.cp_sl05::before {
  position: absolute;
  top: 1rem;
  right: 1em;
  width: 0;
  height: 0;
  padding: 0;
  content: '';
  border-left: 10px solid transparent;
  border-right: 10px solid transparent;
  border-top: 10px solid #17a2b8;
  pointer-events: none;
}
.cp_ipselect.cp_sl05 select {
  padding: 8px 38px 8px 8px;
}

/* 変更ボタン */
.square_btn-box {
  margin-top: 8px;
}

.square_btn {
  position: relative;
  display: inline-block;
  padding: 0.4em 1em;
  border-radius: 40px;
  font-weight: bold;
  background-image: -webkit-linear-gradient(#64D9EB 0%, #17a2b8 100%);
  background-image: linear-gradient(#64D9EB 0%, #17a2b8 100%);
  text-shadow: 1px 1px 1px rgba(255, 255, 255, 0.66);
  box-shadow: inset 0 2px 0 rgba(255,255,255,0.5), 0 2px 2px rgba(0, 0, 0, 0.19);
  border: none;
  border-bottom: solid 2px #b5b5b5;
}

.square_btn:active {
  box-shadow: 0 0 2px rgba(0, 0, 0, 0.30);
}


/* 確定ボタン */
.circle_btn{
    display: inline-block;
    text-decoration: none;
    color: rgba(152, 152, 152, 0.43);
    width: 40px;
    height: 40px;
    line-height: 40px;
    font-size: 1.8em;
    border-radius: 50%;
    text-align: center;
    vertical-align: middle;
    overflow: hidden;
    font-weight: bold;
    background-image: -webkit-linear-gradient(#fff 0%, #e8e8e8 100%);
    background-image: linear-gradient(#fff 0%, #e8e8e8 100%);
    text-shadow: 1px 1px 1px rgba(255, 255, 255, 0.66);
    box-shadow: inset 0 2px 0 rgba(255,255,255,0.5), 0 2px 2px rgba(0, 0, 0, 0.19);
    border-bottom: solid 2px #b5b5b5;
}
.circle_btn .fa {
    line-height: 40px;
}
.circle_btn:active {
    background-image: -webkit-linear-gradient(#efefef 0%, #d6d6d6 100%);
    box-shadow: inset 0 1px 0 rgba(255,255,255,0.5), 0 2px 2px rgba(0, 0, 0, 0.19);
    border-bottom: none;
}

/* 進行状況 */
.question-status {
  border: dotted 5px #17a2b8;
  margin: 15px 0;
  height: 575px;
}

.question-status-title {
  width: 200px;
  margin-top: 10px;
}

.question-status-content {
  width: 90%;
  margin: 0.5em auto;
  text-align: left;
}

.question-status-content .question-status {
  position: relative;
  right: 0;
  bottom: 0;
  left: 0;
  width: 30px;
  height: 30px;
  margin-right: 0.5rem;
  cursor: pointer;
  transition: all 0.15s ease-out 0s;
  color: #17a2b8;
  border: none;
  outline: none;
  background: #e0e0e0;
  -webkit-appearance: none;
  appearance: none;
}
.question-status-content .question-status:hover {
  background: #a9d6d6;
}
.question-status-content .question-status:checked {
  background: #fff;
}
.question-status-content .question-status:checked::before {
  line-height: 30px;
  position: absolute;
  display: inline-block;
  width: 30px;
  height: 30px;
  font-family : 'Font Awesome 5 Free';
  content: '\f111';
  font-size: 24px;
  font-weight : 900;
  text-align: center;
}
.question-status-content .question-status:checked::after {
  position: relative;
  display: block;
  content: '';
  -webkit-animation: click-wave 0.65s;
  animation: click-wave 0.65s;
  background: #17a2b8;
}
.question-status-content .question-status.radio {
  border-radius: 50%;
  vertical-align: -1.3em;
}
.question-status-content .question-status.radio::after {
  border-radius: 50%;
}
.question-status-content label {
  line-height: 30px;
  display: block;
  margin: 0;
}
.question-status-content .question-status:disabled {
  cursor: not-allowed;
  background: #b8b7b7;
}
.question-status-content .question-status:disabled::before {
  font-size: 20px;
  line-height: 30px;
  position: absolute;
  display: inline-block;
  width: 30px;
  height: 30px;
  font-family : 'Font Awesome 5 Free';
  content: '\f00d';
  font-weight : 900;
  text-align: center;
}
.question-status-content .disabled {
  color: #9e9e9e;
}

.question-status-label {
  font-size: 1.5em;
  color: #666;
}

.now-status {
  color: #dc3545;
  font-weight: 700;
}

.question-status-operation {
  position: absolute;
  right: 0;
  top: 33em;
}

/* 矢印 */
.cp_arrows *, .cp_arrows *:before, .cp_arrows *:after {
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
}
.cp_arrows {
  position: relative;
  display: flex;
  height: 30px;/*画面いっぱいにする場合100vh*/
  justify-content: center;
  align-items: center;
}
.cp_arrows .cp_arrow {
  position: absolute;
  top: 50%;/*着地点（サンプルは[class:cp_arrows]height300pxの50%）*/
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  -webkit-transform-origin: 50% 50%;
          transform-origin: 50% 50%;
  opacity: 0;
}
.cp_arrows .cp_arrowfirst {
  -webkit-animation: arrow-move08 2s ease-in-out infinite;
          animation: arrow-move08 2s ease-in-out infinite;
}
.cp_arrows .cp_arrowsecond {
  -webkit-animation: arrow-move08 2s 1s ease-in-out infinite;
          animation: arrow-move08 2s 1s ease-in-out infinite;
}
.cp_arrows .cp_arrow:before, .cp_arrows .cp_arrow:after {
  position: absolute;
  top: 5px;
  left: 0;
  display: block;
  width: 30px;
  height: 3px;
  content: '';
  background: #17a2b8;
}
.cp_arrows .cp_arrow:before {
  -webkit-transform: rotate(30deg) translateX(-39%);
          transform: rotate(30deg) translateX(-39%);
  -webkit-transform-origin: top left;
          transform-origin: top left;
}
.cp_arrows .cp_arrow:after {
  -webkit-transform: rotate(-30deg) translateX(39%);
          transform: rotate(-30deg) translateX(39%);
  -webkit-transform-origin: top right;
          transform-origin: top right;
}
@-webkit-keyframes arrow-move08 {
  0% {
    top: 10%;/*スタート地点（サンプルは[class:cp_arrows]height300pxの35%）*/
    opacity: 0;
  }
  70% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}
@keyframes arrow-move08 {
  0% {
    top: 10%;/*スタート地点（サンプルは[class:cp_arrows]height300pxの35%）*/
    opacity: 0;
  }
  70% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}

/* 次の問題 */
.stand-by-text {
  width: 150px;
}

.stand-by-text h2 {
  font-size: 1.5rem;
}

.stand-by-title h3 {
  font-size: 1.2rem;
}

.stand-by-question {
  height: 270px;
  margin: 1em 0 0.5em 0;
  overflow: hidden;
}

.stand-by-content {
  position: relative;
  background-color: #666;
  height: 200px;
  text-align: center;
}

.stand-by-content img{
  width: auto;
  height: auto;
  max-width: 100%;
  max-height: 100%;
  opacity: 0.3;
}

.stand-by-content-text {
  position: absolute;
  top: 10%;
  padding: 20px;
  color: #fff;
  font-size: 1.5em;
}

.round {
  position: relative;
}

.round-select {
  position: absolute !important;
  right: 0;
  bottom: 0;
}

.round-operation {
  margin-top: 1em;
}

input.round_number {
  display: inline-block;
  width: 40px;
  height: 40px;
  line-height: 40px;
  font-size: 20px;
  border-radius: 10%;
  text-align: center;
  vertical-align: middle;
  font-weight: bold;
  background-image: -webkit-linear-gradient(#fff 0%, #e8e8e8 100%);
  background-image: linear-gradient(#fff 0%, #e8e8e8 100%);
  text-shadow: 1px 1px 1px rgba(255, 255, 255, 0.66);
  box-shadow: inset 0 2px 0 rgba(255,255,255,0.5), 0 2px 2px rgba(0, 0, 0, 0.19);
  border: none;
  border-bottom: solid 2px #b5b5b5;
}

input.round_number[type="number"]::-webkit-outer-spin-button,
input.round_number[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input.round_number[type="number"] {
    -moz-appearance:textfield;
}

.last-question-label {
  color: #f00;
  font-size: 1.2em;
  font-weight: 700;
  vertical-align: 0.5rem;
}

.result-type-label {
  font-size: 1.2em;
  vertical-align: 0.5rem;
}

/* チェックボックス */
.controller {
  width: 95%;
  text-align: left;
}

.padding-left {
  padding-left: 5px;
}

.padding-right {
  padding-right: 5px;
}

.padding-top {
  padding-top: 5px;
}

.padding-bottom {
  padding-bottom: 5px;
}

.padding-left-lg {
  padding-left: 1em;
}

.padding-right-lg {
  padding-right: 1em;
}

.padding-top-lg {
  padding-top: 1em;
}

.padding-bottom-lg {
  padding-bottom: 1em;
}

.controller .last-question {
  position: relative;
  right: 0;
  bottom: 0;
  left: 0;
  width: 30px;
  height: 30px;
  margin-right: 0.5rem;
  cursor: pointer;
  transition: all 0.15s ease-out 0s;
  color: #ffffff;
  border: none;
  outline: none;
  background: #fff;
  -webkit-appearance: none;
  appearance: none;
}
.controller .last-question:hover {
  background: #d6a9a9;
}
.controller .last-question:checked {
  background: #da3c41;
}
.controller .last-question:checked::before {
  font-size: 20px;
  line-height: 30px;
  position: absolute;
  display: inline-block;
  width: 30px;
  height: 30px;
  font-family : 'Font Awesome 5 Free';
  content: '\f00c';
  font-weight : 900;
  text-align: center;
}
.controller .last-question:checked::after {
  position: relative;
  display: block;
  content: '';
  -webkit-animation: click-wave 0.65s;
  animation: click-wave 0.65s;
  background: #da3c41;
}
.controller .last-question.radio {
  border-radius: 50%;
}
.controller .last-question.radio::after {
  border-radius: 50%;
}
.controller label {
  line-height: 40px;
  display: block;
}
.controller .last-question:disabled {
  cursor: not-allowed;
  background: #b8b7b7;
}
.controller .last-question:disabled::before {
  font-size: 20px;
  line-height: 30px;
  position: absolute;
  display: inline-block;
  width: 30px;
  height: 30px;
  font-family : 'Font Awesome 5 Free';
  content: '\f00d';
  font-weight : 900;
  text-align: center;
}

/* ラジオボタン */
.controller .result-type {
  position: relative;
//  top: 13.33333px;
  right: 0;
  bottom: 0;
  left: 0;
  width: 30px;
  height: 30px;
  margin-right: 0.5rem;
  cursor: pointer;
  transition: all 0.15s ease-out 0s;
  color: #da3c41;
  border: none;
  outline: none;
  background: #e0e0e0;
  -webkit-appearance: none;
  appearance: none;
}
.controller .result-type:hover {
  background: #d6a9a9;
}
.controller .result-type:checked {
  background: #fff;
}
.controller .result-type:checked::before {
  line-height: 30px;
  position: absolute;
  display: inline-block;
  width: 30px;
  height: 30px;
  font-family : 'Font Awesome 5 Free';
  content: '\f111';
  font-size: 24px;
  font-weight : 900;
  text-align: center;
}
.controller .result-type:checked::after {
  position: relative;
  display: block;
  content: '';
  -webkit-animation: click-wave 0.65s;
  animation: click-wave 0.65s;
  background: #da3c41;
}
.controller .result-type.radio {
  border-radius: 50%;
}
.controller .result-type.radio::after {
  border-radius: 50%;
}
.controller label {
  line-height: 30px;
  display: block;
  margin: 0;
}
.controller .result-type:disabled {
  cursor: not-allowed;
  background: #b8b7b7;
}
.controller .result-type:disabled::before {
  font-size: 20px;
  line-height: 30px;
  position: absolute;
  display: inline-block;
  width: 30px;
  height: 30px;
  font-family : 'Font Awesome 5 Free';
  content: '\f00d';
  font-weight : 900;
  text-align: center;
}

.blank_space {
  padding: 15px 15px 0 15px;
}

input.individual_number {
  display: inline-block;
  width: 100%;
  height: 35px;
  line-height: 80px;
  font-size: 1rem;
  border-radius: 10px;
  text-align: center;
  vertical-align: middle;
  background-image: -webkit-linear-gradient(#fff 0%, #e8e8e8 100%);
  background-image: linear-gradient(#fff 0%, #e8e8e8 100%);
  text-shadow: 1px 1px 1px rgba(255, 255, 255, 0.66);
  box-shadow: inset 0 2px 0 rgba(255,255,255,0.5), 0 2px 2px rgba(0, 0, 0, 0.19);
  border: none;
  border-bottom: solid 2px #b5b5b5;
}

/* コントロールボタン */
.control_btn {
  position: relative;
  display: inline-block;
  width: 150px;
  height: 40px;
  border-radius: 40px;
  line-height: 40px;
  font-size: 1em;
  text-align: center;
  vertical-align: middle;
  font-weight: bold;
  background-image: -webkit-linear-gradient(#fff 0%, #e8e8e8 100%);
  background-image: linear-gradient(#fff 0%, #e8e8e8 100%);
  text-shadow: 1px 1px 1px rgba(255, 255, 255, 0.66);
  box-shadow: inset 0 2px 0 rgba(255,255,255,0.5), 0 2px 2px rgba(0, 0, 0, 0.19);
  border: none;
  border-bottom: solid 2px #b5b5b5;
}

.waiting-text-list-box {
  margin-top: 10px;
}

.waiting-text-list {
  overflow: hidden;
  width: 100%;
  text-align: center;
}
.waiting-text-list select {
  width: 100%;
  cursor: pointer;
  text-indent: 10px;
  text-overflow: ellipsis;
  border: none;
  outline: none;
  background: transparent;
  background-image: none;
  box-shadow: none;
  -webkit-appearance: none;
  appearance: none;
}
.waiting-text-list select::-ms-expand {
  display: none;
}
.waiting-text-list.cp_sl05 {
  position: relative;
  border-radius: 50px;
  display: inline-block;
  vertical-align: middle;
  bottom: 0.1em;
  background-image: -webkit-linear-gradient(#fff 0%, #e8e8e8 100%);
  background-image: linear-gradient(#fff 0%, #e8e8e8 100%);
  box-shadow: inset 0 2px 0 rgba(255,255,255,0.2), 0 2px 2px rgba(0, 0, 0, 0.19);
}
.waiting-text-list.cp_sl05::before {
  position: absolute;
  top: 1rem;
  right: 1em;
  width: 0;
  height: 0;
  padding: 0;
  content: '';
  border-left: 10px solid transparent;
  border-right: 10px solid transparent;
  border-top: 10px solid #17a2b8;
  pointer-events: none;
}
.waiting-text-list.cp_sl05 select {
  padding: 8px 38px 8px 8px;
}


textarea.infomation-text {
  background-image: -webkit-linear-gradient(#fff 0%, #e8e8e8 100%);
  background-image: linear-gradient(#fff 0%, #e8e8e8 100%);
  text-shadow: 1px 1px 1px rgba(255, 255, 255, 0.66);
  box-shadow: inset 0 2px 0 rgba(255,255,255,0.5), 0 2px 2px rgba(0, 0, 0, 0.19);
  border: none;
  border-bottom: solid 2px #b5b5b5;
}

/* サブメニュー */
#subContainer.appeared {
  right: 0;
  overflow-y: scroll;
}

#subContainer {
  position: fixed;
  right: -500px;
  top: 60px;
  z-index: 1500;
  width: 500px;
  height: 100%;
  background-color: rgba( 255, 255, 255, 0.9);
  -webkit-transition: left 0.4s ease-in-out;
  transition: left 0.4s ease-in-out;
  behavior: url(PIE.htc);
}

#mainNavigation {
  position: relative;
}

#mainNavigation .mainNavigation_trigger {
  position: absolute;
  top: 300px;
  left: -4em;
  width: 5em;
  border-radius: 8px 0 0 8px;
  background-color: rgba( 255, 255, 255, 0.9);
  behavior: url(PIE.htc);
}

#mainNavigation a {
  display: block;
  padding: 1.5em;
  overflow: hidden;
  color: #888;
  border-left: 0.5em solid #ddd;
}

#mainNavigation a, #mainNavigation a:hover i, #mainNavigation a:hover span {
  -webkit-transition: all 0.2s linear;
  transition: all 0.2s linear;
}

#mainNavigation .mainNavigation_trigger a {
  border: none;
  padding: 1em 1em 0.75em 0.75em;
  cursor: pointer;
}

#mainNavigation i {
  display: inline-block;
  width: 18%;
  vertical-align: middle;
  font-size: 2.5em;
  line-height: 1;
  color: inherit;
}

#mainNavigation .mainNavigation_trigger i {
  width: auto;
}

.question-list {
  padding: 20px;
  margin: 20px;
  border: 1px solid #ccc;
}

/* フッター */
.music-player {
  text-align: center;
  padding: 10px;
}

/* 再生・停止ボタン */
.music-player_label {
}
.music-player_btn {
  display: inline-block;
  text-decoration: none;
  color: rgba(152, 152, 152, 0.43);
  width: 40px;
  height: 40px;
  line-height: 40px;
  font-size: 20px;
  border-radius: 50%;
  text-align: center;
  vertical-align: middle;
  overflow: hidden;
  font-weight: bold;
  background-image: -webkit-linear-gradient(#fff 0%, #e8e8e8 100%);
  background-image: linear-gradient(#fff 0%, #e8e8e8 100%);
  text-shadow: 1px 1px 1px rgba(255, 255, 255, 0.66);
  box-shadow: inset 0 2px 0 rgba(255,255,255,0.5), 0 2px 2px rgba(0, 0, 0, 0.19);
  border-bottom: solid 2px #b5b5b5;
}
.music-player_btn .fas {
  line-height: 40px;
}
.music-player_btn:active {
  background-image: -webkit-linear-gradient(#efefef 0%, #d6d6d6 100%);
  box-shadow: inset 0 1px 0 rgba(255,255,255,0.5), 0 2px 2px rgba(0, 0, 0, 0.19);
  border-bottom: none;
}

#footerNavigation .footerNavigation_trigger {
  position: fixed;
  bottom: 0;
  left: 2em;
  width: 4em;
  border-radius: 8px 8px 0 0;
  background-color: rgba( 255, 255, 255, 0.9);
  margin: 0 auto;
  text-align: center;
  padding: 5px;
  behavior: url(PIE.htc);
}

@keyframes click-wave {
  0% {
    position: relative;
    width: 30px;
    height: 30px;
    opacity: 0.35;
  }
  100% {
    width: 200px;
    height: 200px;
    margin-top: -80px;
    margin-left: -80px;
    opacity: 0;
  }
}
